Last Comment Bug 58971 - gmake clobber_all doesn't work
: gmake clobber_all doesn't work
Status: RESOLVED FIXED
suntrak-n6
:
Product: Core Graveyard
Classification: Graveyard
Component: Java APIs to WebShell (show other bugs)
: Trunk
: Sun Solaris
: P3 normal (vote)
: ---
Assigned To: Ashu Kulkarni
: geetha.vaidyanaathan
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-02 18:48 PST by edburns
Modified: 2012-04-09 22:27 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
cvs diff -u of Makefiles (3.23 KB, patch)
2000-11-14 10:55 PST, Ashu Kulkarni
no flags Details | Diff | Splinter Review

Description edburns 2000-11-02 18:48:04 PST
If you do gmake clobber_all from mozilla/java, it doesn't successfully complete.

Furthermore, if you do gmake clobber_all in 
mozilla/java/webclient/classes_spec, it doesn't remove the class directories, 
it just rm's them.  This is a big problem.
Comment 1 Ashu Kulkarni 2000-11-14 10:55:13 PST
Created attachment 19214 [details] [diff] [review]
cvs diff -u of Makefiles
Comment 2 Ashu Kulkarni 2000-11-14 10:58:01 PST
I have made changes to classes_spec/Makefile.in to remove the java .class files.
I have also created dummy clobber_all:: targets in some pluglet makefiles to
allow gmake clobber_all to work from mozilla/java

Igor, pls review the diff of the pluglet makefiles in the posted attachment
Comment 3 geetha.vaidyanaathan 2000-11-17 14:30:56 PST
Adding Status whiteboard keyword to track all Webclient existing bugs
Comment 4 Igor Kushnirskiy 2000-11-17 14:50:21 PST
Here is a fix for pluglets
---
===================================================================
RCS file: /cvsroot/mozilla/java/plugins/config/rules.mk,v
retrieving revision 1.2
diff -u -r1.2 rules.mk
--- rules.mk    2000/11/02 23:32:33     1.2
+++ rules.mk    2000/11/17 22:48:23
@@ -45,6 +45,8 @@
 clobber:
        rm -f *.class *.jar
 
+clobber_all: clobber
+
 clean : clobber
 
 ifneq ($(PLUGLET),)

---

Please review it.
Comment 5 Ashu Kulkarni 2000-11-21 09:33:57 PST
Igor, pls check in your fix. I'll check in the fix to the Webclient side

_Ashu
Comment 6 Igor Kushnirskiy 2000-11-21 14:10:12 PST
Fix was integrated into JAVADEV_RTM_20001102
Closing as fixed
Comment 7 Ashu Kulkarni 2000-11-27 17:41:27 PST
Hello Igor,

Your last fix does not seem to remove the files from
mozilla/dist/classes/ on running gmake clobber_all

Pls modify your makefiles so that they delete these class
files as well.

thanks much
_Ashu
Comment 8 Igor Kushnirskiy 2000-11-28 02:43:35 PST
Hello there.

I am using JDIRS rule in my make file for building classes
If clobber_all is not working for JDIRS what should I use instead?
Comment 9 Ashu Kulkarni 2000-11-28 11:36:54 PST
Hello Igor,

clobber_all does not seem to work for JDIRS, so I am removing the
classes/org/mozilla/* directory myself in webclient, util and dom
makefiles. You should do something similar.

Pls look at java/util/Makefile.in

thanks
_Ashu
Comment 10 Igor Kushnirskiy 2000-11-28 13:34:27 PST
Hello there,

I think that instead of removing classes in each and every make file we writing 
mozilla rules should be fixed.

Would you please open bug against it
Comment 11 Vladimir Strigun 2001-11-10 04:42:03 PST
This bug still reproduced with mozilla branch Netscape61_RELEASE and blackwood 
branch JAVADEV_6_1_20010831 under Win NT4.0, Sparc Solaris 2.8. 
gmake clobber_all do not remove class directories.
Bug should be reopen.

Note You need to log in before you can comment on or make changes to this bug.